;parts1  -   binary processing of image 'parts'
;expects:    image 'parts' processed using 'parts.cmd'
;            stored in 'b', original in 'a'
;            LUT's cf. *ini
;21-3-92 Windows versie
;**********************************************************
#include timdefs.h

parms
  int windis
endparms

int numobj
int endpix
int num
int thickobj
int numpix
int err

era q
era s
curs s 128 128
err = chk lut 4		;display 3 bitplanes
era p 1 2 3
dest p
show p
;*windispl h (windis+NO_DITHER+4)
numobj = label b
*windispl i (windis+NO_DITHER+WINLUT4)
bord 129
dest q
cls
print @12  "Part Codes:"
print @8   "r    = resistor"
print @8   "c    = condensor"
print @8   "tr.s = transistor small"
print @8   "tr.p = transistor power"
print @8   "led  = light em. diode"
print @8   "dil  = dual-in-line ic"
print @8   "to#  = analog ic"

for num = 1 to numobj step 1
 numpix = mark p num 3
 era s
 copy qc sc
 endpix = numpix - (lsk sc 2) - (lenp sc 2)
 thickobj = numpix - (ler sc 1 9)
 curs a q
 and ac 0f8h
 bord qc 4
 if endpix > 10
  text "dil%d", endpix
 else
  if endpix > 4
    text "to#%d", endpix
  else
    if endpix == 2
      if thickobj == 0
        text "r"
      else
        text "c"
      endif
    else
      if endpix == 3
        if thickobj == 0
          text "led"
        else
          textv "tr.p"
        endif
      endif
      if endpix == 4
        if thickobj == 0
          textv "tr.s"
        else
          textv "tr.p"
        endif
      endif
    endif
  endif
 endif
 *windispl i (windis+NO_DITHER)
next

stop

